<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <com.sipai.ui.TitleLayout
        android:layout_height="wrap_content"
        android:layout_width="match_parent"/>
    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <LinearLayout
                android:layout_margin="5dp"
                android:padding="5dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:orientation="horizontal">
                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:text="所属厂区:"
                        android:gravity="center_vertical"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"/>
                    <TextView
                        android:id="@+id/moudle_new_fault_tv_biz"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3"
                        android:gravity="center_vertical"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"/>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@color/white"
                    android:clickable="false"
                    android:gravity="center_vertical"
                    android:scrollbars="vertical"
                    android:visibility="visible">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="match_parent"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"
                        android:gravity="center_vertical"
                        android:text="异常类型：" />
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">
                        <Spinner
                            android:id="@+id/moudle_new_fault_sp_type"
                            android:background="@null"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent" />
                        <ImageView
                            android:layout_alignParentRight="true"
                            android:src="@mipmap/iv_down"
                            android:padding="8dp"
                            android:layout_marginRight="30dp"
                            android:layout_width="30dp"
                            android:layout_height="match_parent" />
                    </RelativeLayout>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">
                    <View
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="0.3dp"/>
                    <View
                        android:layout_width="0dp"
                        android:layout_weight="3"
                        android:layout_height="0.3dp"
                        android:background="@color/base_line"/>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:orientation="horizontal">
                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:text="上报人:"
                        android:gravity="center_vertical"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"/>
                    <TextView
                        android:id="@+id/moudle_new_fault_tv_sub_man"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3"
                        android:gravity="center_vertical"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"/>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:orientation="horizontal">
                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="10"
                        android:text="工艺段:"
                        android:gravity="center_vertical"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"/>
                    <TextView
                        android:id="@+id/moudle_new_fault_tv_ps"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:hint="点击选择工艺段"
                        android:layout_weight="25"
                        android:gravity="center_vertical"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"/>
                    <ImageView
                        android:layout_width="0dp"
                        android:layout_weight="5"
                        android:layout_height="35dp"
                        android:paddingTop="8dp"
                        android:paddingBottom="8dp"
                        android:paddingRight="15dp"
                        android:src="@mipmap/moudle_arrow_to_next"/>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">
                    <View
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="0.3dp"/>
                    <View
                        android:layout_width="0dp"
                        android:layout_weight="3"
                        android:layout_height="0.3dp"
                        android:background="@color/base_line"/>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:orientation="horizontal">
                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:text="接收人"
                        android:gravity="center_vertical"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"/>
                    <TextView
                        android:id="@+id/moudle_new_fault_tv_receiver"
                        android:layout_width="0dp"
                        android:hint="点击选择接收人"
                        android:layout_height="match_parent"
                        android:layout_weight="3"
                        android:gravity="center_vertical"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"/>
                </LinearLayout>
                <View
                    android:layout_width="match_parent"
                    android:layout_height="0.3dp"
                    android:visibility="gone"
                    android:background="@color/blue"/>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="135dp"
                    android:orientation="vertical">
                    <TextView
                        android:id="@+id/moudle_new_fault_tv_fault_description"
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:text="异常描述"
                        android:gravity="center_vertical"
                        android:textColor="@color/black"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"/>
                    <EditText
                        android:id="@+id/moudle_new_fault_edt_fault_description"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        android:hint="填写异常描述"
                        android:background="@null"
                        android:gravity="center_vertical"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"/>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="100dp"
                    android:orientation="vertical">
                    <TextView
                        android:id="@+id/moudle_new_fault_tv_fault_remark"
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:text="备注"
                        android:gravity="center_vertical"
                        android:textColor="@color/black"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"/>
                    <EditText
                        android:id="@+id/moudle_new_fault_edt_fault_remark"
                        android:layout_width="match_parent"
                        android:layout_height="65dp"
                        android:hint="填写备注"
                        android:background="@null"
                        android:gravity="center_vertical"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"/>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <View
                        android:layout_width="0dp"
                        android:layout_weight="3"
                        android:layout_height="0.3dp"
                        android:background="@color/base_line"/>
                </LinearLayout>

                <GridView
                    android:layout_marginTop="5dp"
                    android:id="@+id/moudle_new_fault_gv_pic"
                    android:numColumns="3"
                    android:columnWidth="90dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical" />
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">
                    <View
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="0.3dp"/>
                    <View
                        android:layout_width="0dp"
                        android:layout_weight="3"
                        android:layout_height="0.3dp"
                        android:background="@color/base_line"/>
                </LinearLayout>
                <LinearLayout
                    android:id="@+id/moudle_new_fault_ll_equ"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">
                    <TextView
                        android:id="@+id/moudle_new_fault_tv_sel_equ"
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:layout_weight="1"
                        android:textColor="@color/blue"
                        android:text="异常设备(点击选择)"
                        android:gravity="center_vertical"
                        android:paddingLeft="10dp"
                        android:textSize="16sp"/>
                    <LinearLayout
                        android:orientation="horizontal"
                        android:layout_width="match_parent"
                        android:layout_height="40dp">
                        <TextView
                            android:text="设备名称："
                            android:gravity="center_vertical"
                            android:paddingLeft="10dp"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"/>
                        <TextView
                            android:id="@+id/moudle_new_fault_tv_equ_name"
                            android:gravity="center_vertical"
                            android:paddingLeft="10dp"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="3"/>
                    </LinearLayout>
                    <LinearLayout
                        android:orientation="horizontal"
                        android:layout_width="match_parent"
                        android:layout_height="40dp">
                        <TextView
                            android:text="设备编号："
                            android:gravity="center_vertical"
                            android:paddingLeft="10dp"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"/>
                        <TextView
                            android:id="@+id/moudle_new_fault_tv_equ_cardno"
                            android:gravity="center_vertical"
                            android:paddingLeft="10dp"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="3"/>
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>
            <Button
                android:id="@+id/moudle_new_fault_btn_sub"
                android:text="提 交"
                android:textColor="@color/white"
                android:layout_marginTop="10dp"
                android:textSize="19sp"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginBottom="20dp"
                style="@style/wrap_layout_btn_login"/>
        </LinearLayout>
    </ScrollView>
</LinearLayout>
